Bug 1003170 - Wacom Intuos5 S Touch (Wireless) not recognized
Wacom Intuos5 S Touch (Wireless) not recognized
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kcm_wacomtablet (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mario Santagiuliana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 07:46 EDT by Alberto Ferrante
Modified: 2015-09-03 14:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 14:24:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Ferrante 2013-08-31 07:46:56 EDT
Description of problem:
Wacom Intuos5 S Touch is identified as "Unidentified Waltop 026 device". With wireless module it is identified as "Wacom Intuos5 M Wireless".

Version-Release number of selected component (if applicable):
1.3.7-4

How reproducible:
Connect a Wacom Intuos5 S tablet

Steps to Reproduce:
1. Connect a Wacom Intuos5 S tablet
2. Check kcm_wacomtablet in the System Settings
3.

Actual results:
Wacom Intuos5 S Touch is identified as "Unidentified Waltop 026 device". 
Wacom Intuos5 S Touch Wireless is identified as "Wacom Intuos5 M Wireless".

Expected results:
Identify the tablets correctly

Additional info:
The non-wireless tablet is identified correctly by adding the following lines to /usr/share/kde4/apps/wacomtablet/data/wacom_devicelist
[0026]
model=PTH-450/K
layout=bl_7
name=Wacom Intuos5 touch S
padbuttons=8
wheel=no
touchring=yes
touchstripl=no
touchstripr=no
hwbutton1=1
hwbutton2=2
hwbutton3=3
hwbutton4=8
hwbutton5=9
hwbutton6=10
hwbutton7=11

and removing the 0026 device from /usr/share/kde4/apps/wacomtablet/data/waltop_devicelist
The GUI, though, maps pad buttons incorrectly: hardware button are incorrectly shown and, therefore, assigning shortcuts to buttons 1-3 works; it does not for the other buttons (as physical buttons 8-11 are not shown in the interface).

The Wireless device can be recognized correctly by changing the entry related to device 0084 in /usr/share/kde4/apps/wacomtablet/data/wacom_devicelist Unfortunately, though, in this way the M device would be identified as S (I guess the code is the one of the wireless device which is shared by all Intuos and Bamboo series)
Comment 2 Alberto Ferrante 2014-09-15 07:59:07 EDT
Apologies for the delay.
I am not sure about which problems the updated package is supposed to solve, but I do not much of an improvement on to this bug: the 0026 Wacom device is now in the config file, which is good, but the wireless device is still identified in the wrong way.
Comment 3 Jason Tibbitts 2015-09-03 10:57:01 EDT
Could you possibly test with the latest F22 or newer package?  There have been a large number of changes, but of course you need to be on F22 to have plasma5 and such.  There is now some functionality relating to configuring the tablet controls for unrecognized tablets and there does appear to be a devicelist entry for the PGH-450 currently.

I have a number of Wacom tablets, but not the exact one you have so it's not really possible for me to test this out.
Comment 4 Alberto Ferrante 2015-09-03 14:12:18 EDT
I confirm that the tablet is identified correctly on F22. There are other problems that I pointed out in other bug reports:
https://bugzilla.redhat.com/show_bug.cgi?id=1249089
https://bugzilla.redhat.com/show_bug.cgi?id=1249095

Note You need to log in before you can comment on or make changes to this bug.